Subject: bug#18195: 24.3.92; window-screen-lines is not accurate

From: Eli Zaretskii <[email-masked]>
Date: Wed, 06 Aug 2014 21:36:25 +0300

> Date: Wed, 06 Aug 2014 22:02:51 +0400
> From: Dmitry Gutov <[email-masked]>
> CC: [email-masked], [email-masked]
> 
> On 08/06/2014 09:24 PM, Eli Zaretskii wrote:
> 
> > But that will break if the buffer text has other display properties,
> > because Emacs doesn't support display strings on display strings.
> > IOW, this solution only works for relatively simple text in the
> > buffer.
> 
> Multiple overlays aren't much easier to work with: you can't position 
> them in the middle of a piece of text that's on `display' property, 

But you could copy the display string into the overlay.

> can't position them after the end of the buffer

Yes, you can: you can include newlines in the overlay string.

> or overlapping the `line-prefix' value.

Why do you need that?  No buffer text will ever appear in the prefix,
so your drop-down list doesn't need to invade the prefix area, because
it is aligned with some buffer text.

> And if the desired column is in the middle of a multiple-width
> character like \t, you're forced to do unnatural things with it
> anyway.

Yes, which is why I asked why not use tooltips and text-mode menus
instead.  AFAICT, they solve all those problems seamlessly.